using ShipyardListImplement.Models;
using ShipyardListImplement_.Models;

namespace ShipyardListImplement
{
    public class DataListSingleton
    {
        private static DataListSingleton? _instance;
        public List<Detail> Details { get; set; }
        public List<Order> Orders { get; set; }
        public List<Ship> Ships { get; set; }
        public List<Client> Clients { get; set; }

        public List<Implementer> Implementers { get; set; }

        public List<Message> Messages { get; set; }
        private DataListSingleton()
        {
            Details = new List<Detail>();
            Orders = new List<Order>();
            Ships = new List<Ship>();
            Clients = new List<Client>();
            Implementers = new List<Implementer>();
            Messages = new List<Message>();
        }
        public static DataListSingleton GetInstance()
        {
            if (_instance == null)
            {
                _instance = new DataListSingleton();
            }
            return _instance;
        }
    }
}